#********************************************************************/
#*                                                                  */
#*    Licensed Materials - Property of IBM                          */
#*    5639-A83, 5639-A24 (C) Copyright IBM Corp. 1992,1996.         */
#*    All Rights Reserved.                                          */
#*    US Government Users Restricted Rights-- Use, duplication or   */
#*    disclosure restricted by GSA ADP Schedule Contract with       */
#*    IBM Corp.                                                     */
#*                                                                  */
#*  DISCLAIMER OF WARRANTIES                                        */
#*    The following enclosed code is sample code created by IBM   */
#*    Corporation. This sample code is not part of any standard     */
#*    IBM product and is provided to you solely for the purpose of  */
#*    assisting you in the development of your applications.  The   */
#*    code is provided "AS IS", without warranty of any kind.       */
#*    IBM shall not be liable for any damages arising out of your   */
#*    use of the sample code, even if IBM has been advised of the   */
#*    possibility of such damages.                                  */
#*                                                                  */
#*                                                                  */
#* Build ILC test of Multithreading between C Set/2 and PL/I.       */
#* Build ILC test of Multithreading between C Set/2 and PL/I.       */
#* The C function LD1CALL1 dynamically loads and calls the PL/I     */
#* procedure AZERODIV.PLI to generate a zero divide condition.      */
#*                                                                  */
#*  LD1CALL1.C   is compiled and linked as an EXE.                  */
#*  AZERODIV.PLI is compiled and linked as a DLL by the same name.  */
#*                                                                  */
#* Syntax:   BLDMTCP                                                */
#*                                                                  */
#********************************************************************/
CCPARMS    = /C- /Sd /Ss /Sp1 /Gm+ /Mp /Ls
ILINKPARMS = /Noe /Stack:5000000
ERASE      = ERASE

.SUFFIXES:
.SUFFIXES: .pli .cpy .mac .inc .c .h

ALL: ld1call1.exe \
     azerodiv.dll

# Dependencies
#
ld1call1.exe : ld1call1.c
  ICC S(CCPARMS) ld1call1.c

azerodiv.dll : azerodiv.pli
  PLI azerodiv.pli ( xinfo(def)
  ILIB /geni azerodiv.def
  ILINK azerodiv.obj $(ILINKPARMS) /dll azerodiv.exp

clean:
  $(ERASE) ld1call1.obj
  $(ERASE) azerodiv.obj
  $(ERASE) azerodiv.dll
  $(ERASE) ld1call1.exe

