#******************************************************************/
#                                                                 */
#   Licensed Materials - Property of IBM                          */
#   5639-A83, 5639-A24 (C) Copyright IBM Corp. 1992,1996.         */
#   All Rights Reserved.                                          */
#   US Government Users Restricted Rights-- Use, duplication or   */
#   disclosure restricted by GSA ADP Schedule Contract with       */
#   IBM Corp.                                                     */
#                                                                 */
#  DISCLAIMER OF WARRANTIES                                       */
#   The following enclosed code is sample code created by IBM   */
#   Corporation. This sample code is not part of any standard     */
#   IBM product and is provided to you solely for the purpose of  */
#   assisting you in the development of your applications.  The   */
#   code is provided "AS IS", without warranty of any kind.       */
#   IBM shall not be liable for any damages arising out of your   */
#   use of the sample code, even if IBM has been advised of the   */
#   possibility of such damages.                                  */
#                                                                 */
#                                                                 */
#   Build ILC test of Common Data Types between VisualAge C++ and */
#   Build ILC test of Common Data Types between VisualAge C++ and */
#   Build ILC test of Common Data Types between VisualAge C++ and */
#   PL/I. The C function PLICS2 dynamically loads and calls the   */
#   PL/I procedure PLICS2D.C to verify structure data argument    */
#   passing.                                                      */
#                                                                 */
#   PLICS2.PLI is compiled and linked as an EXE.                  */
#   PLICS2D.C is compiled and linked as a DLL by the same name.   */
#                                                                 */
#                                                                 */
#******************************************************************/

CCPARMS  = /Q /C /Sd /Ss /Sp1 /Ge- /Ls /Fl
ILINKPARMS1 = /debug /Stack:5000000
ILINKPARMS2 = /se:200 /debug
PLILIBSWIN = hepws20i.lib ibmws20i.lib
ERASE      = ERASE

.SUFFIXES:
.SUFFIXES: .pli .cpy .mac .inc .c .h

ALL: plics2.exe \
     plics2d.dll

# Dependencies
#
plics2.exe: plics2.pli
  PLI plics2.pli
  ILINK plics2.obj $(ILINKPARMS1)

plics2d.dll : plics2d.c
  ICC $(CCPARMS)  plics2d.c
  ILINK plics2d.obj $(ILINKPARMS2) /dll $(PLILIBSWIN)

clean:
  $(ERASE) plics2.obj
  $(ERASE) plics2d.obj
  $(ERASE) plics2d.dll
  $(ERASE) plics2.exe
  $(ERASE) plics2d.map

